# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
title: "ECEn 427"
class_name: Embedded Linux Systems
class_number: ECEn 427
email: jgoeders@byu.edu
description: >-
  Class website for BYU's ECEn 625: Compilation Strategies for High-Performance Systems.
baseurl: "/ecen427"
url: "https://byu-cpe.github.io"
github:
  url: https://github.com/byu-cpe/ecen427

permalink: pretty

markdown: kramdown

collections:
  labs:
    output: true
    permalink: /:collection/:name/
    sort_by: number
  documentation:
    output: true
    permalink: /:collection/:name/
    sort_by: number
  other:
    output: true
    permalink: /:collection/:name/
    sort_by: number
  pages:
    output: true
    permalink: /:name/
    order:
      - overview.md
      - goals.md
      - lab_setup.md

exclude:
  - icon.ai
  - Dockerfile
  - Makefile
  - Gemfile
  - Gemfile.lock
  - node_modules
  - vendor/bundle/
  - vendor/cache/
  - vendor/gems/
  - vendor/ruby/

plugins:
  - jekyll-sitemap